Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.interceptors
Interface CacheMgmtInterceptorMBean

All Superinterfaces:
  InterceptorMBean

All Known Implementing Classes:
  CacheMgmtInterceptor

    public interface CacheMgmtInterceptorMBean

extends InterceptorMBean

Interface capturing basic cache management statistics

Version:
  $Id: CacheMgmtInterceptorMBean.java,v 1.4 2006/01/26 18:26:45 jerrygauth Exp $
Author:
  Jerry Gauthier

Method Summary
`long` | `getAverageReadTime()` Returns average milliseconds for an attribute read operation This includes both hits and misses.
`long` | `getAverageWriteTime()` Returns average milliseconds for an attribute write operation
`long` | `getElapsedTime()` Returns seconds since cache started
`long` | `getEvictions()` Returns the number of cache eviction operations
`double` | `getHitMissRatio()` Returns the hit/miss ratio for the cache This ratio is defined as hits/(hits + misses)
`long` | `getHits()` Returns the number of cache attribute hits
`long` | `getMisses()` Returns the number of cache attribute misses
`int` | `getNumberOfAttributes()`
`int` | `getNumberOfNodes()`
`double` | `getReadWriteRatio()` Returns the read/write ratio for the cache This ratio is defined as (hits + misses)/stores
`long` | `getStores()` Returns the number of cache attribute put operations
`long` | `getTimeSinceReset()` Returns seconds since cache statistics reset If statistics haven't been reset, this will be the same as ElapsedTime

Methods inherited from interface org.jboss.cache.interceptors.InterceptorMBean
`dumpStatistics, getStatisticsEnabled, resetStatistics, setStatisticsEnabled`

Method Detail

### getHits

    long getHits()

  Returns the number of cache attribute hits

  Returns:
    the number of cache hits

### getMisses

    long getMisses()

  Returns the number of cache attribute misses

  Returns:
    the number of cache misses

### getStores

    long getStores()

  Returns the number of cache attribute put operations

  Returns:
    the number of cache put operations

### getEvictions

    long getEvictions()

  Returns the number of cache eviction operations

  Returns:
    the number of cache eviction operations

### getNumberOfAttributes

    int getNumberOfAttributes()

  See Also:
    `TreeCacheMBean.getNumberOfAttributes()`

### getNumberOfNodes

    int getNumberOfNodes()

  See Also:
    `TreeCacheMBean.getNumberOfNodes()`

### getHitMissRatio

    double getHitMissRatio()

  Returns the hit/miss ratio for the cache This ratio is defined as hits/(hits + misses)

  Returns:
    the hit/miss ratio for the cache

### getReadWriteRatio

    double getReadWriteRatio()

  Returns the read/write ratio for the cache This ratio is defined as (hits + misses)/stores

  Returns:
    the read/writes ratio for the cache

### getAverageReadTime

    long getAverageReadTime()

  Returns average milliseconds for an attribute read operation This includes both hits and misses.

  Returns:
    the average number of milliseconds for a read operation

### getAverageWriteTime

    long getAverageWriteTime()

  Returns average milliseconds for an attribute write operation

  Returns:
    the average number of milliseconds for a write operation

### getElapsedTime

    long getElapsedTime()

  Returns seconds since cache started

  Returns:
    the number of seconds since the cache was started

### getTimeSinceReset

    long getTimeSinceReset()

  Returns seconds since cache statistics reset If statistics haven't been reset, this will be the same as ElapsedTime

  Returns:
    the number of seconds since the cache statistics were last reset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.